<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/gastos"></ion-back-button>
    </ion-buttons>
    <ion-title>{{gastos.descripcion}}</ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="eliminagasto()">
        <ion-icon name="trash-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-item>
            cantidad: {{gastos.cantidad}}            
          </ion-item>
          <ion-item>
            descripcion: {{gastos.descripcion}}
          </ion-item>
          <ion-item>
            fecha: {{gastos.fechaRegistro}}
          </ion-item>          
          <ion-item>
            tipo: {{gastos.tipo}}
          </ion-item>
        </ion-list>
        <ion-list *ngIf="gastos.comentarios && gastos.comentarios.length > 0; else sincomentarios">
          <ion-header class="ion-text-center">Comentarios</ion-header>
          <ion-item *ngFor="let comentario of gastos.comentarios">
            {{comentario}}
          </ion-item>
        </ion-list>
        <ng-template #sincomentarios>
          <ion-text>
            <p class="ion-text-center">
              No se ingresaron comentarios
            </p>
          </ion-text>
        </ng-template>

      </ion-col>
    </ion-row>
  </ion-grid>


</ion-content>
